Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssOpZoomIn

All Superinterfaces:
  IEssBaseObject, IEssOperation

public interface IEssOpZoomIn
extends IEssOperation

The IEssOpZoomIn interface.

Nested Class Summary
`static class` | `IEssOpZoomIn.EEssZoomInPreference` The EEssZoomInPreference class is an enumeration of zoom in preferences.

Nested classes inherited from class com.essbase.api.dataquery.IEssOperation
`IEssOperation.EEssOperationType`

Method Summary
`void` | `addCell(int startRow, int startColumn)` Adds a cell to operate on.
`void` | `addRange(int startRow, int startColumn, int countRows, int countColumns)` Adds range of cells to zoom-in.
`int` | `getCountRanges()` Gets the count of cell ranges to zoom-in.
`IEssOpZoomIn.EEssZoomInPreference` | `getPreference()` Gets the zoom in preference.
`IEssCubeView.EEssQueryGrammar` | `getQueryGrammar()` Gets the grammar for the query/report specification.
`java.lang.String` | `getQuerySpec()` Gets the query/report specification relating to the condition for retrieval.
`IEssIterator` | `getRanges()` Gets the list of call ranges to zoom-in.
`boolean` | `isConditionalZoomIn()` Checks if the operation is conditional zoom-in.
`boolean` | `isNoAttributes()` Checks if to obtain attributes for the resulting cell values.
`boolean` | `isZoomDown()` Checks if any page/title dimensions selected will be zoomed down.
`void` | `setNoAttributes(boolean noAttributes)` Sets if to obtain attributes for the resulting cell values.
`void` | `setPreference(boolean zoomDown, IEssOpZoomIn.EEssZoomInPreference pref)` Sets the zoom-in preference.
`void` | `setQuery(boolean zoomDown, java.lang.String querySpec, IEssCubeView.EEssQueryGrammar queryGrammar)` Sets the query/report specification relating to the conditional zoom-in.
`void` | `setZoomDown(boolean zoomDown)` Sets if any page/title dimensions selected will be zoomed down.

Methods inherited from interface com.essbase.api.dataquery.IEssOperation
`getOperationType`

Method Detail

### addCell

    public void addCell(int startRow,
                        int startColumn)
                 throws EssException

  Adds a cell to operate on. This method in turn calls addRange by passing 1 to both countRows and countColumns.

  Parameters:
    `startRow` - The start row.
    `startColumn` - The start column.
  Throws:
    `EssException` - if an error occurs.

### addRange

    public void addRange(int startRow,
                         int startColumn,
                         int countRows,
                         int countColumns)
                  throws EssException

  Adds range of cells to zoom-in. (NOTE: This must be a single cell for conditional zoom-in and there can be only one range in that case.)

  Parameters:
    `startRow` - The start row.
    `startColumn` - The start column.
    `countRows` - The count of rows.
    `countColumns` - The count of columns.
  Throws:
    `EssException` - if an error occurs.

### getCountRanges

    public int getCountRanges()
                       throws EssException

  Gets the count of cell ranges to zoom-in.

  Returns:
    The count of cell ranges to zoom-in.
  Throws:
    `EssException` - if an error occurs.

### getRanges

    public IEssIterator getRanges()
                           throws EssException

  Gets the list of call ranges to zoom-in.

  Returns:
    The list of cell ranges to zoom-in.
  Throws:
    `EssException` - if an error occurs

### getPreference

    public IEssOpZoomIn.EEssZoomInPreference getPreference()
                                                    throws EssException

  Gets the zoom in preference.

  Returns:
    The zoom in preference.
  Throws:
    `EssException` - if an error occurs.

### setPreference

    public void setPreference(boolean zoomDown,
                              IEssOpZoomIn.EEssZoomInPreference pref)
                       throws EssException

  Sets the zoom-in preference. (NOTE: For conditional zoom-in use setQuery() method.)

  Parameters:
    `zoomDown` - true, if any page/title dimensions will be zoomed down. false, if they will be zoomed across.
    `pref` - The zoom-in preference.
  Throws:
    `EssException` - if an error occurs.

### getQuerySpec

    public java.lang.String getQuerySpec()
                                  throws EssException

  Gets the query/report specification relating to the condition for retrieval.

  Returns:
    The report specification.
  Throws:
    `EssException` - if an error occurs.

### getQueryGrammar

    public IEssCubeView.EEssQueryGrammar getQueryGrammar()
                                                  throws EssException

  Gets the grammar for the query/report specification.

  Returns:
    The query/report specification.
  Throws:
    `EssException` - if an error occurs.

### setQuery

    public void setQuery(boolean zoomDown,
                         java.lang.String querySpec,
                         IEssCubeView.EEssQueryGrammar queryGrammar)
                  throws EssException

  Sets the query/report specification relating to the conditional zoom-in. (NOTE: Use this only for conditional zoom-in. For conditional zoom in the range should be only 1 and should point to a single cell.)

  Parameters:
    `querySpec` - The query/report specification.
  Throws:
    `EssException` - if an error occurs.

### isZoomDown

    public boolean isZoomDown()
                       throws EssException

  Checks if any page/title dimensions selected will be zoomed down.

  Returns:
    true if to zoom down. false, if to zoom across.
  Throws:
    `EssException` - if an error occurs.

### setZoomDown

    public void setZoomDown(boolean zoomDown)
                     throws EssException

  Sets if any page/title dimensions selected will be zoomed down.

  Parameters:
    `zoomDown` - true if to zoom down. false if to zoom across.
  Throws:
    `EssException` - if an error occurs.

### isConditionalZoomIn

    public boolean isConditionalZoomIn()
                                throws EssException

  Checks if the operation is conditional zoom-in.

  Returns:
    true if the operation is conditional zoom-in.
  Throws:
    `EssException` - if an error occurs.

### isNoAttributes

    public boolean isNoAttributes()
                           throws EssException

  Checks if to obtain attributes for the resulting cell values.

  Returns:
    true, if to obtain attributes for the resulting cell values.
  Throws:
    `EssException` - if an error occurs.

### setNoAttributes

    public void setNoAttributes(boolean noAttributes)
                         throws EssException

  Sets if to obtain attributes for the resulting cell values. Default behavior is to obtain attributes for the resulting cell values. This option is applicable only if it is a conditional zoom-in operation. IEssCubeView.performOperation() will throw an exception if this option is set to true and it is not a conditional zoom-in operation.

  Parameters:
    `noAttributes` - true, if to obtain attributes for the resulting cell values.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD